PDA

View Full Version : Latest LScript !!!



trick
05-21-2004, 02:03 PM
Is it possible to use the latest (or at least the one that is provided with 7.5c) LScript version with LW7.5a ???

I really need some script to work insice 7.5a but normally only works in 7.5c.....

evenflcw
05-21-2004, 02:29 PM
I doubt that it would be as easy as just substituting a few files. But I could be wrong. Just out of curiosity, what script is it? Is it compiled? If not, it might be possible to adapt the code some.

trick
05-21-2004, 11:58 PM
Weighter and Customselect (http://earthwormjim.free.fr) !!!

evenflcw
05-22-2004, 11:11 AM
Both compiled and commercial. :(

You'd have to contact the developer to try and get it fixed then. It could be that he uses commands not available in <7.5c version of lscript, or it could be a bug in some function, or it could be a bug when compiling. In the last case, the solution could be as simple as just compiling the script using a different version of LW/lscript (even going back to an earlier version can help, provided you're only using commands that were available then). But only he will know if it can be fixed.

trick
05-23-2004, 04:52 AM
First thing I did of course: both use specific LScript functions available in 7.5c, hence the question if it is possible to use the LScript version from 7.5c in 7.5a. Just copying the Ltools3.dll does NOT work !!!:(

Now have both 7.5a and 7.5c installed under different users....

faulknermano
05-27-2004, 12:37 AM
Originally posted by evenflcw
I doubt that it would be as easy as just substituting a few files. But I could be wrong. Just out of curiosity, what script is it? Is it compiled? If not, it might be possible to adapt the code some.


you can do a .dll replacement of older point versions (not whole versions), like 7, 7.5, 7.5b, 7.5c. be sure to include all dlls, thought.